summaryrefslogtreecommitdiffstats
path: root/system/fonts-indic-archaic
diff options
context:
space:
mode:
author Vijay Marcel2024-01-11 07:05:02 +0100
committer Willy Sudiarto Raharjo2024-01-12 00:12:01 +0100
commit1d14bde2088df1560c1aaa16797f11e1386ac13c (patch)
treee62e35478d0808e30647121284fc0f75d3a31e48 /system/fonts-indic-archaic
parentc6ee6179c5003724ab48a17cd052604c58ec84f9 (diff)
downloadslackbuilds-1d14bde2088df1560c1aaa16797f11e1386ac13c.tar.gz
system/fonts-indic-archaic: Added (system fonts).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/fonts-indic-archaic')
-rw-r--r--system/fonts-indic-archaic/README26
-rw-r--r--system/fonts-indic-archaic/doinst.sh24
-rw-r--r--system/fonts-indic-archaic/fonts-indic-archaic.SlackBuild80
-rw-r--r--system/fonts-indic-archaic/fonts-indic-archaic.info10
-rw-r--r--system/fonts-indic-archaic/slack-desc19
5 files changed, 159 insertions, 0 deletions
diff --git a/system/fonts-indic-archaic/README b/system/fonts-indic-archaic/README
new file mode 100644
index 0000000000..64d4eed6c2
--- /dev/null
+++ b/system/fonts-indic-archaic/README
@@ -0,0 +1,26 @@
+Fonts indic archaic is a collection of ancient indic
+scripts for Slackware Linux. The Scripts such as
+Brahmi,Grantha,Siddham,etc can be used to write
+Sanskrit.
+
+The indic scripts supported by this collection are
+Ahom
+Bhaisukui
+Brahmi
+Dives-Akuru
+Grantha
+Kaithi
+Kharoshthi
+Khojki
+Khudawadi
+Mahajani
+Modi
+Multani
+Nandi Nagari
+Sharada
+Siddham
+Sylheti Nagari
+Trihuta
+
+NOTE:
+This package conflicts with noto-extra-ttf
diff --git a/system/fonts-indic-archaic/doinst.sh b/system/fonts-indic-archaic/doinst.sh
new file mode 100644
index 0000000000..b1446e3188
--- /dev/null
+++ b/system/fonts-indic-archaic/doinst.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+# Update the X font indexes:
+
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/TTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/OTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+
+
+[ "$DISPLAY" != "" ] && xset fp rehash 2>/dev/null
+
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/fonts-indic-archaic/fonts-indic-archaic.SlackBuild b/system/fonts-indic-archaic/fonts-indic-archaic.SlackBuild
new file mode 100644
index 0000000000..7a8a2c1a84
--- /dev/null
+++ b/system/fonts-indic-archaic/fonts-indic-archaic.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/bash
+
+# Slackware build script for fonts-indic-archaic
+
+# Copyright 2024 Vijay Marcel
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=fonts-indic-archaic
+VERSION=${VERSION:-1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee -a $OUTPUT/error-${PRGNAM}.log' ERR
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -pv $PKG/usr/share/fonts/{TTF,OTF}
+mkdir -pv $PKG/usr/doc/$PRGNAM-$VERSION
+
+find $TMP/$PRGNAM-$VERSION/OTF/ -name '*.otf' -type f -exec install -D -m0644 -v {} -t $PKG/usr/share/fonts/OTF \;
+find $TMP/$PRGNAM-$VERSION/TTF/ -name '*.ttf' -type f -exec install -D -m0644 -v {} -t $PKG/usr/share/fonts/TTF \;
+
+if [ "$NONLIBRE" = "YES" ]; then
+ find $TMP/$PRGNAM-$VERSION/non-libre/ -name '*.ttf' -type f -exec install -D -m0644 -v {} -t $PKG/usr/share/fonts/TTF \;
+ mkdir -pv $PKG/usr/doc/$PRGNAM-$VERSION/non-libre
+ cp -a $TMP/$PRGNAM-$VERSION/non-libre/license $PKG/usr/doc/$PRGNAM-$VERSION/non-libre/
+fi
+
+cp -a $TMP/$PRGNAM-$VERSION/{License,README.md,URL.md} $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 0644 {} \+
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/fonts-indic-archaic/fonts-indic-archaic.info b/system/fonts-indic-archaic/fonts-indic-archaic.info
new file mode 100644
index 0000000000..73aa002107
--- /dev/null
+++ b/system/fonts-indic-archaic/fonts-indic-archaic.info
@@ -0,0 +1,10 @@
+PRGNAM="fonts-indic-archaic"
+VERSION="1.1"
+HOMEPAGE="https://github.com/lecramyajiv/fonts-indic-archaic"
+DOWNLOAD="https://github.com/lecramyajiv/fonts-indic-archaic/archive/1.1/fonts-indic-archaic-1.1.tar.gz"
+MD5SUM="3710b73f9e9cad6c4abe464361951607"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Vijay Marcel"
+EMAIL="vijaymarcel@outlook.com"
diff --git a/system/fonts-indic-archaic/slack-desc b/system/fonts-indic-archaic/slack-desc
new file mode 100644
index 0000000000..29ef39769a
--- /dev/null
+++ b/system/fonts-indic-archaic/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fonts-indic-archaic: fonts-indic-archaic (Fonts for Archaic Indic Scripts)
+fonts-indic-archaic:
+fonts-indic-archaic: Fonts indic archaic is a collection of ancient indic
+fonts-indic-archaic: scripts for Slackware Linux.
+fonts-indic-archaic:
+fonts-indic-archaic:
+fonts-indic-archaic:
+fonts-indic-archaic: Homepage:https://github.com/lecramyajiv
+fonts-indic-archaic:
+fonts-indic-archaic:
+fonts-indic-archaic: